Index: spi.c
===================================================================
--- spi.c	(revision 3086)
+++ spi.c	(working copy)
@@ -155,6 +155,12 @@
 			0xFFF80000, 0xFFFEFFFF, (tmp & 1 << 3) ? "en" : "dis");
 		printf("LPC write to serial flash %sabled\n",
 			(tmp & 1 << 4) ? "en" : "dis");
+		if (!(tmp & 1 << 4)) {
+			printf("Force enabling LPC write to serial flash\n");
+			tmp |= 1 << 4;
+			regwrite(port, 0x24, tmp);
+		}
+		printf("serial flash pin %i\n",	(tmp & 1 << 5) ? 87 : 29);
 		printf("serial flash pin %i\n", (tmp & 1 << 5) ? 87 : 29);
 		/* LDN 0x7, reg 0x64/0x65 */
 		regwrite(port, 0x07, 0x7);
@@ -375,7 +381,8 @@
 	switch (flash->manufacture_id) {
 	case ST_ID:
 	case MX_ID:
-		if ((flash->model_id & 0xff00) == 0x2000)
+		if (((flash->model_id & 0xff00) == 0x2000) ||
+			((flash->model_id & 0xff00) == 0x2500))
 			spi_prettyprint_status_register_st_m25p(status);
 		break;
 	case SST_ID:
